# Simple Azure IoT Hub CLI
A simple platform independent command line interface to manage Azure IoT Hub devices.

## How to install
Make sure, [Node.js](https://nodejs.org/) is installed on your system and simply add the [simple-iothub-cli](https://www.npmjs.com/package/simple-iothub-cli) package via npm.
```
npm install simple-iothub-cli --global
```

## How to use
### Example
```
iothub add DemoId123 --json "HostName=iothubname.azure-devices.net;SharedAccessKeyName=iothubowner;SharedAccessKey=mysupersecretkey123="
```
> **Hint:** Please don't forget the quotes `"` around the connection string!

### Commands
- `list` displays a list of all devices
- `add` adds a new device
- `delete` removes an existing device

### Help
Get a list of commands and all of their options at the according help pages.
```
iothub -- help
iothub <command> --help
```
